﻿using System.Collections.Generic;

namespace HeuristicLab.Problems.ProgramSynthesis {
  public interface IInternalPushInterpreter : IPushInterpreter {
    InterpreterPoolContainer PoolContainer { get; }
    bool IsNameQuoteFlagSet { get; set; }
    IReadOnlyList<Expression> InputExpressions { get; }
  }
}
